- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoRealVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity > Class Template Reference

This class is an implementationeo of a simple double-valued moeoVector. More...

`#include <moeoVector.h>`

Inheritance diagram for moeoRealVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity >:

List of all members.

## Public Member Functions
| moeoRealVector (unsigned _size=0, double _value=0.0)
| Ctor.

## Detailed Description

### template<class MOEOObjectiveVector, class MOEOFitness, class MOEODiversity>
class moeoRealVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity >

This class is an implementationeo of a simple double-valued moeoVector.

Definition at line 144 of file moeoVector.h.

## Constructor & Destructor Documentation

template<class MOEOObjectiveVector, class MOEOFitness, class MOEODiversity>

moeoRealVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity >::moeoRealVector | ( | unsigned | _size = `0`,
|  | double | _value = `0.0` |
| ) |  |  | `[inline]`

Ctor.

Parameters:

  | _size | Length of vector (default is 0)
  | _value | Initial value of all elements (default is default value of type GeneType)

Definition at line 153 of file moeoVector.h.

The documentation for this class was generated from the following file:

- moeoVector.h